unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm2 = class(TForm)
    Edit1: TEdit;
    ConvertButton: TButton;
    procedure ConvertButtonClick(Sender: TObject);
  private
    procedure Convert(Filename: string);
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.ConvertButtonClick(Sender: TObject);
begin
  Convert(Edit1.Text);
end;

procedure TForm2.Convert(Filename : string);
var
  L,Split : TStringList;
  I,J : integer;
  OutStream : TMemoryStream;
  Value : single;
begin
  L := TStringList.Create;
  Split := TStringList.Create;
  OutStream := TMemoryStream.Create;

  DecimalSeparator := '.';


  L.LoadFromFile(Filename);

  for I := 0 to L.Count - 1 do
  begin
    Split.CommaText := L[I];

    for J := 0 to 3 do
    begin
      Value := StrToFloat( Split[J] );
      OutStream.Write(Value,4);
    end;
  end;

  OutStream.SaveToFile( ChangeFileExt(Filename,'') );

  OutStream.Free;
  Split.Free;
  L.Free;
end;

end.
